POST api/NTCosCompany/PostCorporationMCR

Request Information

URI Parameters

None.

Body Parameters

Collection of CorporationMCRDTO
NameDescriptionTypeAdditional information
Id

integer

None.

CorporationCode

string

String length: inclusive between 0 and 20

WorkLocationCode

string

String length: inclusive between 0 and 20

WorkLocationName

string

String length: inclusive between 0 and 200

WorkLocationShortName

string

String length: inclusive between 0 and 200

Radius

decimal number

None.

IsSelected

boolean

None.

Latitude

decimal number

None.

Longitude

decimal number

None.

Address1

string

String length: inclusive between 0 and 200

Suite

string

String length: inclusive between 0 and 10

City

string

String length: inclusive between 0 and 100

State

string

String length: inclusive between 0 and 2

Country

string

String length: inclusive between 0 and 50

Zip

string

String length: inclusive between 0 and 10

ValidFlag

boolean

None.

DateCreated

date

None.

DateUpdated

date

None.

UserIDCreated

integer

None.

UserIDUpdated

integer

None.

CompanyCode

string

String length: inclusive between 0 and 10

IsExcludeDiscount

boolean

None.

Request Formats

application/json, text/json

Sample:
[
  {
    "Id": 1,
    "CorporationCode": "sample string 2",
    "WorkLocationCode": "sample string 3",
    "WorkLocationName": "sample string 4",
    "WorkLocationShortName": "sample string 5",
    "Radius": 1.1,
    "IsSelected": true,
    "Latitude": 1.1,
    "Longitude": 1.1,
    "Address1": "sample string 7",
    "Suite": "sample string 8",
    "City": "sample string 9",
    "State": "sample string 10",
    "Country": "sample string 11",
    "Zip": "sample string 12",
    "ValidFlag": true,
    "DateCreated": "2026-08-04T14:31:54.6239634-07:00",
    "DateUpdated": "2026-08-04T14:31:54.6239634-07:00",
    "UserIDCreated": 16,
    "UserIDUpdated": 17,
    "CompanyCode": "sample string 18",
    "IsExcludeDiscount": true
  },
  {
    "Id": 1,
    "CorporationCode": "sample string 2",
    "WorkLocationCode": "sample string 3",
    "WorkLocationName": "sample string 4",
    "WorkLocationShortName": "sample string 5",
    "Radius": 1.1,
    "IsSelected": true,
    "Latitude": 1.1,
    "Longitude": 1.1,
    "Address1": "sample string 7",
    "Suite": "sample string 8",
    "City": "sample string 9",
    "State": "sample string 10",
    "Country": "sample string 11",
    "Zip": "sample string 12",
    "ValidFlag": true,
    "DateCreated": "2026-08-04T14:31:54.6239634-07:00",
    "DateUpdated": "2026-08-04T14:31:54.6239634-07:00",
    "UserIDCreated": 16,
    "UserIDUpdated": 17,
    "CompanyCode": "sample string 18",
    "IsExcludeDiscount": true
  }
]

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

AsapResponseOfListOfCorporationMCRDTO
NameDescriptionTypeAdditional information
isSuccess

boolean

None.

message

string

None.

jsonObj

Collection of CorporationMCRDTO

None.

totalCount

integer

None.

Response Formats

application/json, text/json

Sample:
{
  "isSuccess": true,
  "message": "sample string 2",
  "jsonObj": [
    {
      "Id": 1,
      "CorporationCode": "sample string 2",
      "WorkLocationCode": "sample string 3",
      "WorkLocationName": "sample string 4",
      "WorkLocationShortName": "sample string 5",
      "Radius": 1.1,
      "IsSelected": true,
      "Latitude": 1.1,
      "Longitude": 1.1,
      "Address1": "sample string 7",
      "Suite": "sample string 8",
      "City": "sample string 9",
      "State": "sample string 10",
      "Country": "sample string 11",
      "Zip": "sample string 12",
      "ValidFlag": true,
      "DateCreated": "2026-08-04T14:31:54.6396301-07:00",
      "DateUpdated": "2026-08-04T14:31:54.6396301-07:00",
      "UserIDCreated": 16,
      "UserIDUpdated": 17,
      "CompanyCode": "sample string 18",
      "IsExcludeDiscount": true
    },
    {
      "Id": 1,
      "CorporationCode": "sample string 2",
      "WorkLocationCode": "sample string 3",
      "WorkLocationName": "sample string 4",
      "WorkLocationShortName": "sample string 5",
      "Radius": 1.1,
      "IsSelected": true,
      "Latitude": 1.1,
      "Longitude": 1.1,
      "Address1": "sample string 7",
      "Suite": "sample string 8",
      "City": "sample string 9",
      "State": "sample string 10",
      "Country": "sample string 11",
      "Zip": "sample string 12",
      "ValidFlag": true,
      "DateCreated": "2026-08-04T14:31:54.6396301-07:00",
      "DateUpdated": "2026-08-04T14:31:54.6396301-07:00",
      "UserIDCreated": 16,
      "UserIDUpdated": 17,
      "CompanyCode": "sample string 18",
      "IsExcludeDiscount": true
    }
  ],
  "totalCount": 3
}